/*------------------------------------*\
    
    Contained Image + Text Block Customizations - Global Styling

    The styles you add to this file will be applied to the 'Contained Image + Text' block. 
    If there is any reasons why you would need to style them separately,
    please create a block-specific stylesheet for it (don't forget to register that block-specific stylesheet in acf-start-blocks.php)

\*------------------------------------*/
.image-text {
  position: relative;
  z-index: 1;
}

.individual-case-details + .image-text.bg-black {
  padding-top: 0 !important;
}

.flex-row {
  display: flex;
  flex-wrap: wrap;
}

.image-text .flex-row {
  align-items: center;
}

.image-text__img,
.image-text__text {
  width: 100%;
  position: relative;
}

.image-text__text {
  padding-top: 30px;
}

.image-text__img__wrap {
  height: 200px;
  position: relative;
}

.image-text__img__wrap:has(img.full-image-view),
.image-text__img__wrap:has(.image-dowload),
.image-text__img__wrap:has(:is(.three-images-left__pane, .three-images-right__pane) img) {
  height: auto;
}

.image-text__img__wrap:has(.image-dowload) img {
  height: 200px;
}

.image-text__img__wrap img {
  border-radius: 10px;
}

.video-bttn {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background: rgba(0, 0, 0, 0.25);
  border-radius: 10px;
}

.video-bttn svg {
  transition: all 0.5s;
  width: 60px;
  height: auto;
}

.image-dowload {
  text-align: center;
  position: relative;
  z-index: 1;
  width: 100%;
  margin-top: -23px;
}

.image-text__img__wrap--download {
  margin-bottom: 23px;
}

.image-text__img-flex {
  display: flex;
  flex-wrap: wrap;
  margin: 0 -8px;
  align-items: center;
}

.image-text__img-left {
  width: 50%;
  padding: 0 8px;
}

.image-text__img-double .image-text__img-sml + .image-text__img-sml {
  margin-top: 20px;
}

.image-text__img-sml {
  height: 90px;
}

.bg-black .image-text__text a:not(.btn),
.bg-gredient .image-text__text a:not(.btn),
.bg-grid:not(.bg-white) .image-text__text a:not(.btn) {
  color: #e4212e;
}

.image-dowload .btn {
  background: #9d000a;
  color: #fff;
}
.bg-black .image-text__text a:hover:not(.btn),
.bg-gredient .image-text__text a:hover:not(.btn),
.bg-grid:not(.bg-white) .image-text__text a:hover:not(.btn) {
  color: #fff;
}

.flex-three-images__wrapper {
  display: flex;
  flex-wrap: wrap;
  gap: 25px;
  justify-content: center;
  align-items: center;
}

.ft-images {
  width: calc(50% - 25px);
}

.three-images-right__pane img:not(:last-of-type) {
  margin-bottom: 25px;
}

.three-images-right__pane > img:last-child {
  margin-bottom: 0;
}

.flex-three-images__wrapper img {
  height: 173px;
  -o-object-fit: cover;
  object-fit: cover;
  width: 100%;
}

@media (min-width: 768px) {
  .bg-gredient {
    background: linear-gradient(
      135deg,
      rgba(0, 0, 0, 1) 0%,
      rgba(26, 26, 26, 1) 50%,
      rgba(0, 0, 0, 1) 100%
    );
  }

  .image-text__text {
    padding-top: 40px;
  }

  .image-text__img__wrap {
    height: 350px;
  }

  .image-text__img__wrap:has(.image-dowload) img {
    height: 350px;
  }

  .image-text__img__wrap img,
  .video-bttn {
    border-radius: 20px;
    height: 400px;
  }

  .image-text__img__wrap img.full-image-view {
    height: 100%;
  }

  .video-bttn svg {
    width: 96px;
  }

  .image-text__img-sml {
    height: 165px;
  }
}

@media (min-width: 1200px) {
  .image-text__img {
    width: 498px;
  }

  .image-text__text {
    width: calc(100% - 498px);
    padding-top: 0;
  }

  .image-text--left .image-text__text {
    padding-left: 32px;
  }

  .image-text--right .image-text__text {
    padding-right: 32px;
  }

  .image-text__img__wrap {
    height: auto;
  }

  .image-text__img__wrap:has(.image-dowload) img {
    height: 400px;
  }

  .video-bttn:hover {
    background: rgba(0, 0, 0, 0.25);
  }

  .video-bttn svg {
    width: 98px;
  }

  .video-bttn:hover svg {
    transform: scale(1.1);
  }

  .flex-opposite {
    flex-direction: row-reverse;
  }

  .image-text__img__wrap--download {
    margin-bottom: 0;
  }

  .image-text__img-sml {
    height: auto;
  }

  .image-text--left .image-text__img__wrap.three-image {
    padding-right: 12px;
  }
  .image-dowload .btn:hover {
    background: #e4212e;
  }
}

@media (min-width: 1620px) {
  .image-text__img {
    width: 50%;
  }

  .image-text__text {
    width: 50%;
  }

  .image-text__img__wrap {
    width: 700px;
  }

  .image-text__img__wrap.three-image {
    width: 100%;
  }

  .image-text--left .image-text__text {
    padding-left: 16px;
  }

  .image-text--right .image-text__text {
    padding-right: 16px;
  }

  .image-text--right .image-text__img__wrap {
    margin-left: auto;
  }

  .video-bttn svg {
    width: 120px;
  }
}
